const palette = require('../palette');

module.exports = {
	colors: Object.assign(palette, {
		active: {
			color: palette.pink['400'],
			background: palette.pink['200'],
			border: palette.pink['500']
		},
		primary: {
			color: palette.indigo['700'],
			border: palette.indigo['500'],
			background: palette.indigo['200']
		},
		focus: {
			color: '#fff',
			border: palette.teal['500'],
			background: palette.teal['400']
		},
		button: {
			blank: {
				color: '#000',
				border: palette.gray['200'],
				background: '#fff'
			},
			none: {
				color: palette.gray['500'],
				border: palette.gray['200'],
				background: '#fff'
			},
			disabled: {
				color: palette.gray['200'],
				border: palette.gray['200'],
				background: palette.gray['100']
			}
		},
		field: {
			input: {
				border: palette.gray['300']
			},
			label: {
				color: palette.gray['500']
			},
			disabled: {
				color: palette.gray['300']
			},
			icon: {
				color: palette.gray['500']
			}
		},
		list: {
			item: {
				border: palette.gray['100']
			}
		},
		navigation: {
			logo: {
				color: '#000'
			},
			top: {
				color: '#000',
				background: palette.azure['300'],
				active: {
					background: palette.azure['200'],
					color: '#000'
				}
			},
			side: {
				color: '#000',
				background: palette.saffron['300'],
				border: palette.saffron['400'],
				active: {
					background: palette.saffron['200'],
					color: '#000'
				},
				toggler: {
					color: '#000'
				}
			}
		},
		table: {
			head: {
				background: palette.purple['400']
			}
		},
		status: {
			info: {
				color: '#fff',
				border: palette.azure['500'],
				background: palette.azure['400']
			},
			success: {
				color: '#fff',
				border: palette.submarine['500'],
				background: palette.submarine['400']
			},
			warning: {
				color: '#000',
				border: palette.tangerine['500'],
				background: palette.tangerine['400']
			},
			error: {
				color: '#fff',
				border: palette.cerise['500'],
				background: palette.cerise['400']
			}
		}
	})
};
